#ifdef VHDL_TESTBENCH

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl_Testbench.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
  void Vhdl_Testbench::set_input (void)
  {
    string text = "";

    while (_list_input_cycle.empty() == false)
      {
	text += _list_input_cycle.front();

	_list_input_cycle.pop_front();
      }

    _list_input.push_back(text);
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
